--Bulk probe removal
logFile = "removeprobe.txt"
file.create(logFile)

--
--Login to Nimbus
-- Replace passwd with valid one
ok,loginsid = nimbus.login("administrator","xxx")
if not ok then
	file.write(logFile,"Unable to logon")
	exit(1)
else
	file.write(logFile,"Login Successful\n")
end
--arguments below used for probe_list
args = pds.create()
pds.putString(args,"name","cdm_unix_std")
--arguments below used for inst_pkg_remove
args2 = pds.create()
pds.putString(args2,"package","cdm_unix_std")
--specify below domain and primary hubaddress
domain = "xxx"
hl = nimbus.request ("xxx", "gethubs")

		

--Iterate through each Hub
for h_row,h_entry in pairs(hl.hublist) do

	if (h_entry.domain == domain) then
	
		
		file.write(logFile,h_entry.name.."\n")
		local r_resp,rc = nimbus.request(h_entry.addr, "getrobots")
		
		--Iterate through each robot
		for r_row,r_entry in pairs(r_resp.robotlist) do     

				p_list,rc2 = nimbus.request (r_entry.addr.."/controller", "probe_list",args)

				--Remove the probe							
				if rc2 == 0 then
					r_probe,rc3 = nimbus.request (r_entry.addr.."/controller", "inst_pkg_remove",args2)
					if rc3 == 0 then
						file.write(logFile,"  Probe removed: "..r_entry.name.."\n")
					else
						file.write(logFile,"  Probe remove failed: "..r_entry.name.."\n")
					end
				else
					file.write(logFile,"  Probe not installed: "..r_entry.name.."\n")
				end --probelist rc check
		end --robotIteration
	end --Domain Check
end --Hub Iteration
file.write(logFile,"Operation Complete")

